EDIT - feature request #7873

Implement copy&paste for feature nodes in feature tree editor
10/26/2018 01:26 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Related issues:

Related to EDIT - bug #7990: Moving a feature via d&d does not make the Featu... Closed

Associated revisions

Revision 3065796 - 10/26/2018 01:26 PM - Patrick Plitzner

fix #7873 Implement copy&paste for feature nodes in feature tree editor

Revision 3b4d17ef - 11/21/2018 05:27 PM - Patrick Plitzner
ref #7873 Add docx4j jar to taxeditor dependencies

Revision eb916729 - 01/18/2019 01:32 PM - Patrick Plitzner

ref #7873 Allow paste on FeatureTrees

Revision 1c54a64e - 01/18/2019 01:50 PM - Patrick Plitzner
ref #7873 Implement copy&paste keyboard shortcuts

History

#1 - 10/26/2018 01:27 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|f3065796575239dbdc4afab4207bf70d87d72536.

#2 - 11/15/2018 02:56 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#3 - 01/14/2019 03:22 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Moving a feature via d&d does not make the Feature Tree Editor dirty. This is critical.

#4 - 01/14/2019 03:24 PM - Andreas Miiller

Trying to drag a feature to become a child of a sibbling feature threw "Widget is disposed" exception.
The feature tree had 2 features | tried to make second feature the child of the first feature.

login : admin

editor version : 5.5.0.201901141348

server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.0.0.0.20180514

os : Windows Server 2012 R2 6.3 amdo64

java : 1.8.0_121

org.eclipse.swt.SWTException: Failed to execute runnable (org.eclipse.swt.SWIException:

at org.eclipse.swt.SWT.error (SWT. java:4533)
Widget is disposed)
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/f3065796575239dbdc4afab4207bf70d87d72536
org.eclipse.swt.SWT.error (SWT. java:4448)

org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:185)
org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
org.eclipse.swt.widgets.Display.messageProc (Display.java:3192)
org.eclipse.swt.internal.ole.win32.COM.DoDragDrop (Native Method)
org.eclipse.swt.dnd.DragSource.drag (DragSource.java:378)
org.eclipse.swt.dnd.DragSource.access$0 (DragSource. java:304)
org.eclipse.swt.dnd.DragSource$l.handleEvent (DragSource. java:173)
org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
org.eclipse.swt.widgets.Display.readAndDispatch (Display. java:3824)
org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher. java:104)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main. java:1519)

by: org.eclipse.swt.SWTException: Widget is disposed

org.eclipse.swt.SWT.error (SWT. java:4533)

org.eclipse.swt.SWT.error (SWT. java:4448)

org.eclipse.swt.SWT.error (SWT. java:4419)

org.eclipse.swt.widgets.Widget.error (Widget.java:482)
org.eclipse.swt.widgets.Widget.checkWidget (Widget. java:354)
org.eclipse.swt.widgets.Composite.getChildren (Composite.java:489)
eu.etaxonomy.taxeditor.ui.element.AbstractFormSection.getControls (AbstractFormSection. java:489)
eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.destroyElement (CdmFormFactory. java:556)
eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.destroyElement (CdmFormFactory.java:553)
eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.destroyElement (CdmFormFactory. java:553)
eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.destroyElement (CdmFormFactory. java:553)
eu.etaxonomy.taxeditor.view.ed4.AbstractCdmDataViewerE4.destroySections (AbstractCdmDataViewerE4.java:198

eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.showParts (DetailsViewerE4. java:229)
eu.etaxonomy.taxeditor.view.ed4.AbstractCdmDataViewerE4.refresh (AbstractCdmDataViewerE4. java:161)
eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4.setInput (AbstractCdmDataViewerE4. java:145)
eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.setInput (DetailsViewerE4.java:193)
eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.setInput (DetailsViewerE4.java:160)
eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4.showViewer (AbstractCdmEditorPartE4. java:238)
eu.etaxonomy.taxeditor.view.ed.details.DetailsPartE4.selectionChanged_internal (DetailsPartE4.java:105)
eu.etaxonomy.taxeditor.view.ed4.AbstractCdmEditorPartE4$DelaySelection.run (AbstractCdmEditorPartE4. java:

org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)
32 more

#5 - 01/14/2019 03:27 PM - Andreas Miiller

Looks like this is not d&d specific. | get the problem very often when simply clicking on features or trees in the feature tree editor.

#6 - 01/14/2019 04:00 PM - Andreas Miiller
p is missing.t tor §

#7 - 01/14/2019 04:09 PM - Andreas Miiller

Andreas Muller wrote:

Looks like this is not d&d specific. | get the problem very often when simply clicking on features or trees in the feature tree editor.
After TaxEditor restart this did not occur anymore

#8 - 01/14/2019 04:10 PM - Andreas Miuller

Maybe we can implement copy&paste also with short cuts and for "Edit" main menu items.

#9 - 01/14/2019 04:43 PM - Andreas Miiller
- Related to bug #7990: Moving a feature via d&d does not make the Feature Tree Editor dirty added

#10 - 01/14/2019 04:44 PM - Andreas Miiller
Andreas Muller wrote:

Moving a feature via d&d does not make the Feature Tree Editor dirty. This is critical.

Created a new ticket for this: #7990

#11 - 01/18/2019 02:05 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 70

#12 - 01/18/2019 02:07 PM - Patrick Plitzner

Andreas Muller wrote:

Maybe we can implement copy&paste also with short cuts and for "Edit" main menu items.

As this should be done in a general solution for all views | created a new ticket for that -> #8002

#13 - 01/27/2019 11:54 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

Works as expected. Once feature trees have a flag allowDuplicates (#7372) copy and paste within the feature tree should only be allowed if the flag is
true.

#14 - 01/27/2019 11:54 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner
